﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using HeuristicLab.Services.Optimization.ControllerService.Model;

namespace HeuristicLab.Services.Optimization.Web.Models {
  public class Node {
    public string title { get; set; }
    public List<Node> children { get; set; }

    public string GetTitle { get { return title; } }
    public List<Node> GetChildren { get { return children; } }
  }

  public class ExperimentModel {
    public Node Experiment { get; set; }
    public string Name { get; set; }
  }

  public class GetParametersModel {
    public string Type { get; set; }
    public Algorithm Algorithm { get; set; }
    public IList<string> Subnames { get; set; }
  }

  public class ExperimentViewModel {
    private IList<string> scenarios;

    public IList<string> Scenarios {
      get { return scenarios; }
      set { scenarios = value; }
    }

    private IList<string> experiments;

    public IList<string> Experiments {
      get { return experiments; }
      set { experiments = value; }
    }

    public ExperimentViewModel() {
      experiments = new List<string>();
      scenarios = new List<string>();
    }

  }
}